Subject: Re: bug#4258: Preferring HTML parts

From: Stefan Monnier <[email-masked]>
Date: Thu, 04 Sep 2014 16:27:54 -0400

> Good point.  I can't see why anyone would ever want to preferentially
> display the unrendered html,

Maybe that's just a lack of imagination.  FWIW I used to do just that
(and then manually pipe the text through some external html2txt filter).

> so I think if rmail-mime-render-html-function is nil we should ignore
> rmail-mime-prefer-html and always prefer plain text.

I think it's simpler to default to nil if
rmail-mime-render-html-function is nil, but still obey
rmail-mime-prefer-html if the user set it to t.  No need to second guess
the user.

        Stefan